#ifndef __FINDDLG_G__
#define __FINDDLG_G__

#include "wx/dialog.h"
#include "wx/checkbox.h"
#include "wx/combobox.h"

class wxFindTextDialog : public wxDialog
{
public:
	static wxString mLastExpr;
	static bool     mMatchCase;
	static bool     mMatchWord;
	static wxStringList mExprList;  

	wxCheckBox* mpCaseCheck;
	wxCheckBox* mpWordCheck;

public:
	wxFindTextDialog( wxWindow* parent, const wxString& expr = "" );

	bool     MatchWordOn()  { return mMatchWord; }
	bool     MatchChaseOn() { return mMatchCase; }
	wxString GetExpr()      { return mLastExpr;  }
	void     SetExpr( const wxString& expr );

	wxComboBox* GetCombo();

	virtual bool TransferDataFromWindow();

	void OnKeyHook( wxKeyEvent& event );

	DECLARE_EVENT_TABLE()
};
	
#endif